My Project: File Class Reference

My Project

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
File Class Reference

`#include <file.h>`

## Public Member Functions

| File ()
| ~File ()
void | CloseFile ()
char | ReadByte ()
short | ReadShort ()
int | ReadInt ()
long | ReadLong ()
float | ReadFloat ()
string | ReadString ()
string | ReadLine ()
void | WriteByte (char c)
void | WriteShort (short s)
void | WriteInt (int i)
void | WriteLong (long l)
void | WriteFloat (float f)
void | WriteString (string s)
void | WriteLine (string s)
void | SeekFile (int pos)
int | FilePos ()
int | Eof ()

## Static Public Member Functions

static string | ResourceFilePath (string filename)
static File * | ReadResourceFile (string filename)
static File * | ReadFile (string filename)
static File * | WriteFile (string filename)

## Public Attributes

FILE * | pFile

## Constructor & Destructor Documentation

## § File()

File::File | ( |  | ) |

inline

## § ~File()

File::~File | ( |  | ) |

inline

## Member Function Documentation

## § CloseFile()

void File::CloseFile | ( |  | ) |

## § Eof()

int File::Eof | ( |  | ) |

## § FilePos()

int File::FilePos | ( |  | ) |

## § ReadByte()

char File::ReadByte | ( |  | ) |

## § ReadFile()

File * File::ReadFile | ( | string | filename | ) |

static

## § ReadFloat()

float File::ReadFloat | ( |  | ) |

## § ReadInt()

int File::ReadInt | ( |  | ) |

## § ReadLine()

string File::ReadLine | ( |  | ) |

## § ReadLong()

long File::ReadLong | ( |  | ) |

## § ReadResourceFile()

File * File::ReadResourceFile | ( | string | filename | ) |

static

## § ReadShort()

short File::ReadShort | ( |  | ) |

## § ReadString()

string File::ReadString | ( |  | ) |

## § ResourceFilePath()

string File::ResourceFilePath | ( | string | filename | ) |

static

## § SeekFile()

void File::SeekFile | ( | int | pos | ) |

## § WriteByte()

void File::WriteByte | ( | char | c | ) |

## § WriteFile()

File * File::WriteFile | ( | string | filename | ) |

static

## § WriteFloat()

void File::WriteFloat | ( | float | f | ) |

## § WriteInt()

void File::WriteInt | ( | int | i | ) |

## § WriteLine()

void File::WriteLine | ( | string | s | ) |

## § WriteLong()

void File::WriteLong | ( | long | l | ) |

## § WriteShort()

void File::WriteShort | ( | short | s | ) |

## § WriteString()

void File::WriteString | ( | string | s | ) |

## Member Data Documentation

## § pFile

FILE* File::pFile

The documentation for this class was generated from the following files:

- openb3dlib.mod/openb3d/src/file.h
- openb3dlib.mod/openb3d/src/file.cpp